com.tibbo.aggregate.common.util

## Class ComponentLocation

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.util.ComponentLocation

-     public class ComponentLocation
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `F_ABSOLUTE`
    `static java.lang.String` | `F_DOCKABLE`
    `static java.lang.String` | `F_GRID`
    `static java.lang.String` | `F_PATH`
    `static TableFormat` | `OFT_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentLocation()`
    `ComponentLocation(DataRecord dataRecord)`
    `ComponentLocation(java.lang.String path, ComponentLocationAbsolute absolute, ComponentLocationGrid grid, ComponentLocationDockable dockable)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentLocation` | `fromDataTable(DataTable dataTable)`
    `static ComponentLocation` | `fromInitialRequest(InitialRequest initialRequest)`
    `ComponentLocationAbsolute` | `getAbsolute()`
    `ComponentLocationDockable` | `getDockable()`
    `ComponentLocationGrid` | `getGrid()`
    `java.lang.String` | `getPath()`
    `void` | `setAbsolute(ComponentLocationAbsolute absolute)`
    `void` | `setDockable(ComponentLocationDockable dockable)`
    `void` | `setGrid(ComponentLocationGrid grid)`
    `void` | `setPath(java.lang.String path)`
    `DataTable` | `toDataTable()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OFT_COMPONENT_LOCATION

          public static final TableFormat OFT_COMPONENT_LOCATION

    - #### F_PATH

          public static final java.lang.String F_PATH

      See Also:
        Constant Field Values

    - #### F_ABSOLUTE

          public static final java.lang.String F_ABSOLUTE

      See Also:
        Constant Field Values

    - #### F_GRID

          public static final java.lang.String F_GRID

      See Also:
        Constant Field Values

    - #### F_DOCKABLE

          public static final java.lang.String F_DOCKABLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ComponentLocation

          public ComponentLocation()

    - #### ComponentLocation

          public ComponentLocation(DataRecord dataRecord)

    - #### ComponentLocation

          public ComponentLocation(java.lang.String path,
                                   ComponentLocationAbsolute absolute,
                                   ComponentLocationGrid grid,
                                   ComponentLocationDockable dockable)

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

    - #### setPath

          public void setPath(java.lang.String path)

    - #### getAbsolute

          public ComponentLocationAbsolute getAbsolute()

    - #### setAbsolute

          public void setAbsolute(ComponentLocationAbsolute absolute)

    - #### getGrid

          public ComponentLocationGrid getGrid()

    - #### setGrid

          public void setGrid(ComponentLocationGrid grid)

    - #### getDockable

          public ComponentLocationDockable getDockable()

    - #### setDockable

          public void setDockable(ComponentLocationDockable dockable)

    - #### toDataTable

          public DataTable toDataTable()

      Overrides:
        `toDataTable` in class `AggreGateBean`

    - #### fromInitialRequest

          public static ComponentLocation fromInitialRequest(InitialRequest initialRequest)

    - #### fromDataTable

          public static ComponentLocation fromDataTable(DataTable dataTable)